<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.product.biz.mapper.KxsShopCateMapper">

    <resultMap type="com.kxs.product.api.model.KxsShopCate" id="KxsShopCateMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="name" property="name" />
        <result column="pid" property="pid" />
        <result column="level" property="level" />
        <result column="icon_url" property="iconUrl" />
        <result column="status" property="status" />
        <result column="sort" property="sort" />
        <result column="is_show" property="isShow" />
        <result column="col_id" property="colId" />

    </resultMap>
    <select id="getByList" resultType="com.kxs.product.api.vo.kxsapp.shop.ShopCategoriesVO">
       select * from kxs_shop_cate
       <where>
           del_flag = 0
       </where>
       order by sort asc
    </select>

</mapper>
